import request from '@/utils/request'

// 查询访客预约记录列表
export function listAppointmentRecord(query) {
  return request({
    url: '/base/appointmentRecord/list',
    method: 'get',
    params: query
  })
}

// 查询访客预约记录详细
export function getAppointmentRecord(id) {
  return request({
    url: '/base/appointmentRecord/' + id,
    method: 'get'
  })
}

// 新增访客预约记录
export function addAppointmentRecord(data) {
  return request({
    url: '/base/appointmentRecord',
    method: 'post',
    data: data
  })
}

// 修改访客预约记录
export function updateAppointmentRecord(data) {
  return request({
    url: '/base/appointmentRecord',
    method: 'put',
    data: data
  })
}

// 删除访客预约记录
export function delAppointmentRecord(id) {
  return request({
    url: '/base/appointmentRecord/' + id,
    method: 'delete'
  })
}
